<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Detail Applicant</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Detail Applicant
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Master Data</li>
        <li class="active"> Detail Applicant</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-6">

            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-success" th:if="${deleted != null}">
                <h4>Delete Data Success!</h4>

                <p>Data Berhasil Dihapus.</p>
            </div>

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
            </div>

            <!-- Custom Tabs -->
            <div class="nav-tabs-custom">
                <!--                <ul class="nav nav-tabs">-->
                <!--                    <li class="active"><a href="#detail" data-toggle="tab">Keluarga</a></li>-->
                <!--                </ul>-->
                <form class="form-horizontal" th:action="@{/applicant/supportFile/upload}" th:object="${supportFile}" method="post" enctype="multipart/form-data">
                    <div class="tab-content">
                        <div class="tab-pane active" id="detail">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="box box-info">
                                        <div class="box-header with-border">

                                            <span>Support File for</span>
                                            <span th:text="${employess.fullName}"></span>

                                        </div>
                                        <div class="box-body">
                                            <div class="box">
                                                <!-- /.box-header -->

                                                <div class="box-body table-responsive no-padding">
                                                    <input type="hidden" name="applicant" th:value="${employess.id}">
                                                    <table class="table table-bordered">
                                                        <tr>
                                                            <th>Name</th>
                                                            <th>Action</th>
                                                        </tr>
                                                        <tr th:each="data, row : ${supportFileNeeded}">
                                                            <td style="width: 160px" th:text="${data.name}">
                                                                Upload Kartu Identitas :
                                                            </td>
                                                            <td>
                                                                <div th:if="${fileSupportApplicant.isEmpty()}">
                                                                    <div class="form-group">
                                                                        <div class="col-sm-10">
                                                                            <input type="file" name="ktp" id="ktp" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div th:each="dataApplicant : ${fileSupportApplicant}">
                                                                    <a th:if="${data.id == dataApplicant.support.id}" th:href="@{/applicant/supportFile/new(support = ${data.id}, id = ${dataApplicant.id})}" class="btn btn-warning btn-xs">
                                                                        <i class="fa fa-pencil"></i> Edit
                                                                    </a>
                                                                    <a th:if="${data.id == dataApplicant.support.id}" th:href="@{/applicant/{supportFile}/supportFile/(supportFile = ${dataApplicant.id})}" class="btn btn-primary btn-xs" target="_blank">
                                                                        View Attachment
                                                                    </a>
                                                                </div>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="box-footer">
                                            <a th:href="@{/dashboard}" class="btn btn-default">Back</a>
                                            <button th:if="${fileSupportApplicant.isEmpty()}" type="submit" class="btn btn-info pull-right" id="simpan">Save</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalLahir').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>
</body>
</html>